<?php
/**
 * NewsInsights Dynamic Styles
 *
 * @package NewsInsights
 */

function newsinsights_dynamic_css()
{

    $newsinsights_default = newsinsights_get_default_theme_options();
    $logo_width_range = get_theme_mod('logo_width_range', $newsinsights_default['logo_width_range']);

    $newsinsights_general_color = get_theme_mod('newsinsights_general_color', $newsinsights_default['newsinsights_general_color']);
    $newsinsights_link_color = get_theme_mod('newsinsights_link_color', $newsinsights_default['newsinsights_link_color']);

    $site_title_font_size = get_theme_mod('site_title_font_size', $newsinsights_default['site_title_font_size']);


    echo "<style type='text/css' media='all'>"; ?>

    .site-logo .custom-logo-link{
    max-width:  <?php echo esc_attr($logo_width_range); ?>px;
    }

    @media (min-width: 1200px) {
    .header-titles .site-title,
    .header-titles .custom-logo-name{
    font-size: <?php echo esc_attr($site_title_font_size); ?>px;
    }
    }

    body, input, select, optgroup, textarea{
    color: <?php echo esc_attr($newsinsights_general_color); ?>;
    }

    a,
    .widget-title,
    .block-title-wrapper .block-title{
    color: <?php echo esc_attr($newsinsights_link_color); ?>;
    }

    .header-mainbar{
    border-color: <?php echo newsinsights_hex_2_rgba($newsinsights_link_color, 0.1); ?>;
    }

    .megamenu-recent-article,
    .widget_recent_entries ul li,
    .widget_categories ul li,
    .widget_pages ul li,
    .widget_archive ul li,
    .widget_meta ul li,
    .widget_recent_comments ul li,
    .widget_block .wp-block-latest-posts li,
    .widget_block .wp-block-categories li,
    .widget_block .wp-block-archives li,
    .widget_block .wp-block-latest-comments li{
    border-bottom-color: <?php echo newsinsights_hex_2_rgba($newsinsights_link_color, 0.1); ?>;
    }

    .theme-svg-seperator{
    color: <?php echo newsinsights_hex_2_rgba($newsinsights_link_color, 0.1); ?>;
    }
    <?php echo "</style>";
}

add_action('wp_head', 'newsinsights_dynamic_css', 100);

/**
 * Sanitizing Hex color function.
 */
function newsinsights_sanitize_hex_color($color)
{

    if ('' === $color)
        return '';
    if (preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color))
        return $color;

}