<?php
/**
 * Default Values.
 *
 * @package NewsInsights
 */

if (!function_exists('newsinsights_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function newsinsights_get_default_theme_options(){

        $newsinsights_defaults = array();

        $newsinsights_defaults['twp_newsinsights_home_sections_6'] = array(

            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'yes',
                'home_section_main_title' => esc_html__('Top Stories','newsinsights'),
                'section_post_cat_1' => '',
                'section_post_number' => 3,
            ),
            array(
                'home_section_type' => 'must-read',
                'section_ed' => 'yes',
                'home_section_must_read' => esc_html__('Must Read','newsinsights'),
                'section_category_5' => '',
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'no',
                'section_category' => '',
                'tiles_post_per_page' => 5,
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'home_section_title_1' => esc_html__('Block Title One','newsinsights'),
                'section_category_1' => '',
                'section_category_2' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'you-may-like-blocks',
                'section_ed' => 'yes',
                'home_section_title' => esc_html__('You May Also Like','newsinsights'),
                'section_category' => '',
            ),
        );

        // header section
        $newsinsights_defaults['logo_width_range']      = 300;
        $newsinsights_defaults['site_title_font_size']  = 70;

        // Options.
        $newsinsights_defaults['global_sidebar_layout'] = 'left-sidebar';
        $newsinsights_defaults['newsinsights_archive_layout'] = 'full';
        $newsinsights_defaults['newsinsights_pagination_layout'] = 'numeric';
        $newsinsights_defaults['footer_column_layout'] = 3;
        $newsinsights_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'newsinsights');
        $newsinsights_defaults['ed_ticker_slider_autoplay'] = 1;
        $newsinsights_defaults['ed_header_trending_news'] = 1;
        $newsinsights_defaults['ed_header_trending_posts_title'] = esc_html__('Trending News', 'newsinsights');
        $newsinsights_defaults['ed_header_ad'] = 0;
        $newsinsights_defaults['ed_header_type'] = 'twp-img-boxed-header';
        $newsinsights_defaults['addvertisement_section_title'] = esc_html__('Advertisement Section', 'newsinsights');
        $newsinsights_defaults['ed_header_ticker_posts'] = 1;
        $newsinsights_defaults['ticker_date_format'] = 'l, F jS, Y';
        $newsinsights_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'newsinsights');
        $newsinsights_defaults['ed_image_content_inverse'] = 0;
        $newsinsights_defaults['ed_related_post'] = 1;
        $newsinsights_defaults['related_post_title'] = esc_html__('More Stories', 'newsinsights');
        $newsinsights_defaults['twp_navigation_type'] = 'norma-navigation';
        $newsinsights_defaults['newsinsights_single_post_layout'] = 'layout-1';
        $newsinsights_defaults['ed_post_thumbnail'] = 0;
        $newsinsights_defaults['ed_post_date'] = 1;
        $newsinsights_defaults['ed_post_category'] = 1;
        $newsinsights_defaults['ed_header_overlay'] = 0;
        $newsinsights_defaults['ed_floating_next_previous_nav'] = 1;       
        $newsinsights_defaults['newsinsights_header_bg_size'] = 1;
        $newsinsights_defaults['ed_header_bg_fixed'] = 0;
        $newsinsights_defaults['ed_header_bg_overlay'] = 0;
        $newsinsights_defaults['post_date_format'] = 'default';
        $newsinsights_defaults['ed_fullwidth_layout'] = 'default';
        $newsinsights_defaults['ed_post_views'] = 0;
        $newsinsights_defaults['ed_scroll_top_button'] = 1;

        $newsinsights_defaults['ed_ticker_bar']                  = 1;
        $newsinsights_defaults['ed_ticker_bar_date']             = 1;
        $newsinsights_defaults['ed_tags_wide_layout']            = 1;
        $newsinsights_defaults['ed_post_tags']                   = 1;
        $newsinsights_defaults['ed_post_read_later']             = 1;
        $newsinsights_defaults['ed_ticker_bar_social_nav']       = 1;

        $newsinsights_defaults['newsinsights_general_color']            = '#404040';
        $newsinsights_defaults['newsinsights_link_color']            = '#000000';

        // Pass through filter.
        $newsinsights_defaults = apply_filters('newsinsights_filter_default_theme_options', $newsinsights_defaults);

        return $newsinsights_defaults;

    }

endif;
