<?php
/**
 * Pagination Settings
 *
 * @package NewsInsights
 */

$newsinsights_default = newsinsights_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'newsinsights_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'newsinsights' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'newsinsights_pagination_layout',
	array(
	'default'           => $newsinsights_default['newsinsights_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'newsinsights_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'newsinsights' ),
	'section'     => 'newsinsights_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','newsinsights'),
		'numeric' => esc_html__('Numeric Method','newsinsights'),
		'load-more' => esc_html__('Ajax Load More Button','newsinsights'),
		'auto-load' => esc_html__('Ajax Auto Load','newsinsights'),
	),
	)
);